import request from '@/utils/request'

// 查询预防性管理列表
export function listPreventivemaintenance(query) {
  return request({
    url: '/reliability/preventivemaintenance/list',
    method: 'get',
    params: query
  })
}

// 查询预防性管理列表
export function pmStatusData(query) {
  return request({
    url: '/reliability/preventivemaintenance/pmStatusData',
    method: 'get',
    params: query
  })
}
// 查询预防性管理详细
export function getPreventivemaintenance(id) {
  return request({
    url: '/reliability/preventivemaintenance/' + id,
    method: 'get'
  })
}

// 新增预防性管理
export function addPreventivemaintenance(data) {
  return request({
    url: '/reliability/preventivemaintenance',
    method: 'post',
    data: data
  })
}

// 修改预防性管理
export function updatePreventivemaintenance(data) {
  return request({
    url: '/reliability/preventivemaintenance',
    method: 'put',
    data: data
  })
}

// 删除预防性管理
export function delPreventivemaintenance(id) {
  return request({
    url: '/reliability/preventivemaintenance/' + id,
    method: 'delete'
  })
}

// 导出预防性管理
export function exportPreventivemaintenance(query) {
  return request({
    url: '/reliability/preventivemaintenance/export',
    method: 'get',
    params: query
  })
}
